org.bdgenomics.adam.sql

# AlignmentRecord

###
Related Docs: object AlignmentRecord | package sql

#### case class AlignmentRecord(referenceName: Option[String] = None, start: Option[Long] = None, originalStart: Option[Long] = None, end: Option[Long] = None, mappingQuality: Option[Int] = None, readName: Option[String] = None, sequence: Option[String] = None, quality: Option[String] = None, cigar: Option[String] = None, originalCigar: Option[String] = None, basesTrimmedFromStart: Option[Int] = None, basesTrimmedFromEnd: Option[Int] = None, readPaired: Option[Boolean] = None, properPair: Option[Boolean] = None, readMapped: Option[Boolean] = None, mateMapped: Option[Boolean] = None, failedVendorQualityChecks: Option[Boolean] = None, duplicateRead: Option[Boolean] = None, readNegativeStrand: Option[Boolean] = None, mateNegativeStrand: Option[Boolean] = None, primaryAlignment: Option[Boolean] = None, secondaryAlignment: Option[Boolean] = None, supplementaryAlignment: Option[Boolean] = None, mismatchingPositions: Option[String] = None, originalQuality: Option[String] = None, readGroupId: Option[String] = None, readGroupSampleId: Option[String] = None, mateAlignmentStart: Option[Long] = None, mateReferenceName: Option[String] = None, insertSize: Option[Long] = None, readInFragment: Option[Int] = None, attributes: Option[String] = None) extends Product with Serializable

Linear Supertypes
Serializable, Serializable, Product, Equals, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. AlignmentRecord
2. Serializable
3. Serializable
4. Product
5. Equals
6. AnyRef
7. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1. #### new AlignmentRecord(referenceName: Option[String] = None, start: Option[Long] = None, originalStart: Option[Long] = None, end: Option[Long] = None, mappingQuality: Option[Int] = None, readName: Option[String] = None, sequence: Option[String] = None, quality: Option[String] = None, cigar: Option[String] = None, originalCigar: Option[String] = None, basesTrimmedFromStart: Option[Int] = None, basesTrimmedFromEnd: Option[Int] = None, readPaired: Option[Boolean] = None, properPair: Option[Boolean] = None, readMapped: Option[Boolean] = None, mateMapped: Option[Boolean] = None, failedVendorQualityChecks: Option[Boolean] = None, duplicateRead: Option[Boolean] = None, readNegativeStrand: Option[Boolean] = None, mateNegativeStrand: Option[Boolean] = None, primaryAlignment: Option[Boolean] = None, secondaryAlignment: Option[Boolean] = None, supplementaryAlignment: Option[Boolean] = None, mismatchingPositions: Option[String] = None, originalQuality: Option[String] = None, readGroupId: Option[String] = None, readGroupSampleId: Option[String] = None, mateAlignmentStart: Option[Long] = None, mateReferenceName: Option[String] = None, insertSize: Option[Long] = None, readInFragment: Option[Int] = None, attributes: Option[String] = None)

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

5. #### val attributes: Option[String]

6. #### val basesTrimmedFromEnd: Option[Int]

7. #### val basesTrimmedFromStart: Option[Int]

8. #### def canEqual(that: Any): Boolean

   Definition Classes
     AlignmentRecord → Equals

9. #### val cigar: Option[String]

10. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

11. #### val duplicateRead: Option[Boolean]

12. #### val end: Option[Long]

13. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

14. #### val failedVendorQualityChecks: Option[Boolean]

15. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

16. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

17. #### val insertSize: Option[Long]

18. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

19. #### val mappingQuality: Option[Int]

20. #### val mateAlignmentStart: Option[Long]

21. #### val mateMapped: Option[Boolean]

22. #### val mateNegativeStrand: Option[Boolean]

23. #### val mateReferenceName: Option[String]

24. #### val mismatchingPositions: Option[String]

25. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

26. #### final def notify(): Unit

    Definition Classes
      AnyRef

27. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

28. #### val originalCigar: Option[String]

29. #### val originalQuality: Option[String]

30. #### val originalStart: Option[Long]

31. #### val primaryAlignment: Option[Boolean]

32. #### def productArity: Int

    Definition Classes
      AlignmentRecord → Product

33. #### def productElement(i: Int): Any

    Definition Classes
      AlignmentRecord → Product

34. #### val properPair: Option[Boolean]

35. #### val quality: Option[String]

36. #### val readGroupId: Option[String]

37. #### val readGroupSampleId: Option[String]

38. #### val readInFragment: Option[Int]

39. #### val readMapped: Option[Boolean]

40. #### val readName: Option[String]

41. #### val readNegativeStrand: Option[Boolean]

42. #### val readPaired: Option[Boolean]

43. #### val referenceName: Option[String]

44. #### val secondaryAlignment: Option[Boolean]

45. #### val sequence: Option[String]

46. #### val start: Option[Long]

47. #### val supplementaryAlignment: Option[Boolean]

48. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

49. #### def toAvro: formats.avro.AlignmentRecord

50. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

51. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

52. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from AnyRef

### Inherited from Any

### Ungrouped